
using HandyControl.Controls;
using HandyControl.Data;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Media;
using System.Runtime.CompilerServices;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using 智慧物流软件系统.ViewModels;

namespace 智慧物流软件系统
{
    public partial class OutInventoryImportDucumentView : HandyControl.Controls.Window
    {
        public OutInventoryImportDucumentViewModel viewModel = new OutInventoryImportDucumentViewModel();
        public OutInventoryImportDucumentView()
        {
            InitializeComponent();
            this.DataContext = viewModel;

            viewModel.TrueClose += OnTrueClose;
            viewModel.FalseClose += OnFalseClose;
        }

        private void closeClick(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }

        private void DataGrid_SelectedCellsChanged(object sender, SelectedCellsChangedEventArgs e)
        {

        }

        private void txtMatQty1_PreviewTextInput(object sender, TextCompositionEventArgs e)
        {
            if (!Regex.IsMatch(e.Text, "^[0-9]"))
            {
                e.Handled = true;
            }
        }

        private void OnTrueClose()
        {
            this.DialogResult = true;
            this.Close();
        }

        private void OnFalseClose()
        {
            this.DialogResult = false;
            this.Close();
        }
    }
}
